Subject: Re: Providing Upload Areas

From: [email-masked] (Mark Owens)
Date: Fri, 28 Jul 95 13:00:02 PDT

>    From [email-masked] Fri Jul 28 10:44:37 1995
>    Date: Fri, 28 Jul 1995 10:28:48 PST
>    Reply-To: [email-masked]
>    Sender: [email-masked]
>    From: "Steve Maybo" <[email-masked]>
>    To: [email-masked]
>    Cc: [email-masked]
>    Subject: Providing Upload Areas
>    X-Mailer:     Pegasus Mail/Windows (v1.11a)
>    X-Listprocessor-Version: 7.1 -- ListProcessor by CREN
>    Content-Length: 2685
>    
>    FTP Administrators !!
>    

[stuff deleted]

>    We are a software developer that currently provides demos and
>    upgrades via anonymous FTP.  Many of our customer's have requested
>    that we provide an area on our anonymous FTP area that would allow
>    users to "put" related files there such as conversion utilities,
>    drivers, tips, etc.  I'm concerned that users that venture into this
>    "third-party" area would expect that our company is responsible for
>    making sure these third-party utilities,etc. work properly
>    regardless of how many disclaimers we force upon them when they
>    enter this area.

We have an upload area that is used by customers to pass data to us
concerning our products. Files placed here are owned by the FTP admin
and are read only by the owner, the incoming directory is hidden from the
anon user (ie it is owned by ftpadmin, group ftp privs rwx-wx--x, such
that the anon user can place files here, but can't see them, nor delete
them. (or even read them once they've been deposited)
This keeps the inbound area from being used as a 'staging' (or
archive site) area for alt.binaries.erotica..... files.

Any utilities that are needed for our product are placed by US into a
public area.

[stuff deleted]

>    ....or should we have one of our customers setup this kind of
>    service on their own host and have them handle it.

Yes. You are not in the business of running an ftp service for
the benifit of ALL users. You should be running it to support
your product (and the sales/marketing of it).

Also, you should have a mechanism to get feedback from your users.
This will allow them to request specific additions to the archive.
That way YOU are in control of what's in it (after all you own the
resource)

\mgo